Package twisted :: Package internet :: Module error :: Class CannotListenError

[show private | hide private]
[frames | no frames]

## Class CannotListenError

    Exception --+
                |
        BindError --+
                    |
                   CannotListenError

This gets raised by a call to startListening, when the object cannot start listening.

Method Summary
| `__init__(...)`
| `__getitem__(...)` (inherited from `Exception`)
| `__str__(...)`

Instance Variable Summary
| `interface` - the interface I tried to listen on
| `port` - the port I tried to listen on
`socket.error` | `socketError` - the exception I got when I tried to listen

Instance Variable Details

### interface

the interface I tried to listen on

### port

the port I tried to listen on

### socketError

the exception I got when I tried to listen

  Type:
    `socket.error`

Generated by Epydoc 1.1 on Thu May 8 13:16:27 2003 | http://epydoc.sf.net